> For the complete documentation index, see [llms.txt](https://docs.ticko.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ticko.xyz/api-documentation/market/websocket/all-tickers.md).

# All Tickers

Name of channel: `all_tickers`

Description: Pushes 24h ticker updates for all symbols.

URL path: `/v1/public/market`

Authentication: No auth required

Request parameters:

| Parameter | Type   | Required | Description   |
| --------- | ------ | -------- | ------------- |
| `channel` | string | Yes      | `all_tickers` |

Subscription acknowledgement fields:

| Field     | Type    | Description                                                             |
| --------- | ------- | ----------------------------------------------------------------------- |
| `id`      | string  | Echoes the request `id`. String, max 32 characters, `[A-Za-z0-9]` only. |
| `op`      | string  | `subscribe` or `unsubscribe`.                                           |
| `success` | boolean | Whether at least one subscription succeeded.                            |
| `args`    | array   | Successful subscription args. Present on success.                       |
| `code`    | string  | Error code. Present on failure.                                         |
| `msg`     | string  | Error message. Present on failure.                                      |

Push data parameters:

| Field       | Type          | Description                                   |
| ----------- | ------------- | --------------------------------------------- |
| `data`      | array         | Array of ticker objects.                      |
| `data[].s`  | integer       | Symbol ID.                                    |
| `data[].p`  | string        | Last traded price.                            |
| `data[].m`  | string\|null  | Mark price for perpetual symbols.             |
| `data[].i`  | string\|null  | Oracle/index price for perpetual symbols.     |
| `data[].bp` | string        | Best bid price.                               |
| `data[].bq` | string        | Best bid quantity.                            |
| `data[].ap` | string        | Best ask price.                               |
| `data[].aq` | string        | Best ask quantity.                            |
| `data[].h`  | string        | 24h high price.                               |
| `data[].l`  | string        | 24h low price.                                |
| `data[].v`  | string        | 24h base volume.                              |
| `data[].u`  | string        | 24h quote turnover.                           |
| `data[].c`  | string        | 24h price change ratio.                       |
| `data[].o`  | string\|null  | Open interest for perpetual symbols.          |
| `data[].f`  | string\|null  | Predicted funding rate for perpetual symbols. |
| `data[].n`  | integer\|null | Next funding timestamp for perpetual symbols. |
| `data[].t`  | integer       | Market data timestamp.                        |

Request example:

```json
{
  "id": "subAllTickers",
  "op": "subscribe",
  "args": [
    { "channel": "all_tickers" }
  ]
}
```

Response example, success:

```json
{
  "id": "subAllTickers",
  "op": "subscribe",
  "success": true,
  "args": [
    { "channel": "all_tickers" }
  ]
}
```

Response example, failure:

```json
{
  "id": "subAllTickers",
  "op": "subscribe",
  "success": false,
  "code": "220002",
  "msg": "Invalid channel"
}
```

Push data example:

```json
{
  "arg": { "channel": "all_tickers" },
  "finality": "final",
  "data": [
    { "s": 100001, "p": "67500.00", "m": "67495.00", "i": "67490.00", "bp": "67499.50", "bq": "0.800", "ap": "67500.00", "aq": "1.200", "h": "69000.00", "l": "66000.00", "v": "1250.500", "u": "84200000.00", "c": "0.0123", "o": "12000.000", "f": "0.0001", "n": 1719504000000, "t": 1719500000000 }
  ],
  "ts": 1719500000000
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ticko.xyz/api-documentation/market/websocket/all-tickers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
